<?php
/**
 * @file
 * Javascript behaviour expects the following classes and relative nesting.
 *
 * CLASS LIST:
 *   skillset-inview-wrapper
 *   percent
 *   inside
 *   outside
 *   skill-line
 *   skill-bar
 *   skill-row
 * END OF LIST.
 *
 *
 * Otherwise, Bootstrap Grids based classes and html should be
 * able to bechanged per your need.
 *
 * 'data-percent' and 'data-item' attributes are required
 * for javascript as well as the class 'item-[count]' from
 * the $count variable.
 *
 * Available variables:
 * - $heading:  (string) Section Heading
 * - $items:  (array)  Containing stdclass objects for each skillset row.
 *            Is pre-sorted by weight.  Object outline:
 *              (int) stdclass->id
 *              (int) stdclass->weight  -- natural sort weight
 *              (string) stdclass->name
 *              (int) stdclass->percent
 */
?>
<section>
  <div class="container">
    <div class="row">
      <div class="column col-xs-9 col-xs-push-1 col-sm-10 col-sm-push-1 skillset-inview-wrapper">
        <?php if ($heading != '') : ?>
        <h3><?php echo t("!heading", array('!heading' => $heading)); ?></h3>
        <?php endif; ?>
        <dl>
          <?php if (!empty($items)): ?>
            <?php foreach ($items as $count => $skill): ?>
            <div class="skill-row row" data-item="<?php echo $count; ?>">
              <dt class="column col-xs-12 col-sm-12 col-md-3"><?php echo t("!skill", array('!skill' => $skill->name)); ?></dt>
                <?php $skill_position = (($skill->percent >= 25) ? 'inside' : 'outside');  ?>
                <?php $percent = '<span class="percent ' . $skill_position . ' element-hidden">' . $skill->percent . '%</span>'; ?>
              <dd class="column col-xs-12 col-sm-12 col-md-8 item-<?php echo $count; ?> skill-line">
                <span data-percent="<?php echo $skill->percent; ?>" style="width:<?php echo $skill->percent; ?>%;" class="skill-bar">&nbsp;<?php echo ($skill_position == 'inside' ? $percent : ''); ?></span>
                <?php echo ($skill_position == 'outside' ? $percent : ''); ?>
              </dd>
            </div>
            <?php endforeach; ?>
          <?php endif; ?>
        </dl>
      </div>
    </div>
  </div>
</section>
